[mythtv-users] different versions on frontend and backend

Michael T. Dean mtdean at thirdcontact.com
Sun Oct 30 08:24:47 EST 2005

Andrew McNabb wrote:

>In the past (more than six months ago), I had major problems when I had
>a slightly different version of mythtv on the frontend on the backend.
>If I remember correctly, the frontend wouldn't run at all if it was
>older than the backend, and if the frontend was newer than the backend,
>it would try to "upgrade" the database and ended up killing off the
>backend until the "upgrade" was manually reversed.
>I was wondering if anyone has had recent experience about whether or not
>this particular situation has improved.  I would like to run the latest
>version of mythtv from subversion, but I have friends that connect
>directly to my mythbackend, and I can't force them to immediately
>upgrade their frontend every time I change the backend.
Myth is not designed to allow the use of different versions of the 
mythfrontend and mythbackend (note that both come from a single project 
directory called "mythtv" and don't allow building the frontend without 
the backend or vice versa).  As a matter of fact, the same applies to 
mythplugins--you need the same version of mythplugins as the version of 

So, if you want to play with SVN and they don't want to, you'll have to 
set up another "test" server.


More information about the mythtv-users mailing list